# BatchFileUpload

Uploads file to Geo Batch.

`POST /api/v2/geo/batch/upload`

**API:** AFC SaaS Pro REST v2
**Tag:** Jurisdiction Determination
**API Version:** v2
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/communications/api/v2/methods/Jurisdiction%20Determination/BatchFileUpload/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `client_id` | integer | header | Yes | The client id. |

## Request Body

**Content-Type:** `multipart/form-data`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `GeoBatchSubmitFileResponse` |

### 200 Response: `GeoBatchSubmitFileResponse`

Response body for Geo Batch Submit File API.

| Property | Type | Required | Description |
|---|---|---|---|
| `ProcessId` | integer | No | Process Id for File uploaded |
| `err` | Error[] | No | Error description (as applicable). |